; BOLT ARCHIVO PLANTILLA.ASM
; PUERTOS LISTOS PARA FUNCIONAR CON LEDS,
; MICROSWITCHES Y RELEVADOR.
; EL CRISTAL EXTERNO DEL 18F2550 ES DE 20 MHZ
; PERO SU FRECUENCIA EFECTIVA DE FUNCIONAMIENTO
; ES DE 48 MHZ DEBIDO AL PLL MULTIPLICADOR
; EL CICLO DE INSTRUCCION ES DE 83.3 NANOSEGUNDOS
; PARA HACER LA SIMULACION EN MPLAB, ORG=0
; PARA CORRER EL PROGRAMA EN BOLT, ORG=800

	processor 18F2550
	include	  <p18F2550.inc>
	include	 "KEYBOLT.inc"	;ARCHIVO AUXILIAR CONTIENE MACRO Y DEFINE

J	equ	H'80'	  
K	equ	H'81'
L	equ 	H'82'
	 
		org 	0x800	;MODIFIQUE A ORG=0 PARA SIMULAR EN MPLAB
		PUERTOS
;FIN DE INICIALIZACION DE PUERTOS

;AQU EMPIEZA PROGRAMA DEL USUARIO


;SUBRUTINA DE RETRASO APROX DE 1 SEGUNDO.SE PUEDE MODIFICAR A (16.4 x L) MILISEGUNDOS

retrobolt:	movlw	D'61'	;valor de L. Modifique para cambiar el valor del retraso.
		movwf	L
lloop		movlw	D'255'	; w := 200 decimal
		movwf	J	; J := w
jloop:		movwf	K	; K := w
kloop:		decfsz	K,f	; K = K-1, skip next if zero
		goto 	kloop
		decfsz	J,f	; J = J-1, skip next if zero
		goto	jloop
		decfsz	L,f
		goto	lloop
		return


		end	

